common cvs-import.sh,1.17,1.18

Jesse Keating (jkeating) fedora-extras-commits at redhat.com
Mon Apr 2 18:40:04 UTC 2007


Author: jkeating

Update of /cvs/extras/common
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv8458

Modified Files:
	cvs-import.sh 
Log Message:
Properly enclose our failure modes



Index: cvs-import.sh
===================================================================
RCS file: /cvs/extras/common/cvs-import.sh,v
retrieving revision 1.17
retrieving revision 1.18
diff -u -r1.17 -r1.18
--- cvs-import.sh	2 Apr 2007 05:02:03 -0000	1.17
+++ cvs-import.sh	2 Apr 2007 18:39:33 -0000	1.18
@@ -167,12 +167,12 @@
 # Check out the existing module
 cd $TMPDIR
 echo "Checking out module: '$NAME'"
-$CVS -Q checkout $NAME || echo "ERROR: \"$NAME\" module does not exist in cvs." && exit 1
+$CVS -Q checkout $NAME || (echo "ERROR: \"$NAME\" module does not exist in cvs." && exit 1)
 
 # this is our working directory
 cd $NAME
 
-[ -d ${BRANCH} ] || echo "ERROR: \"$NAME/$BRANCH\" does not exist!" && exit 1
+[ -d ${BRANCH} ] || (echo "ERROR: \"$NAME/$BRANCH\" does not exist!" && exit 1)
 
 # check if we have imported this entry
 TAG=$(echo "${NAME##[0-9]}-$VERSION-$RELEASE" | sed -e 's/[$,.:;@]/_/g')




More information about the fedora-extras-commits mailing list